<template>
  <div class="min-h-screen md:flex md:items-center md:justify-center">
    <div class='m-auto p-2 bg-neutral max-w-md'>
    <div class="flex justify-between">
      <label class="label cursor-pointer">
      <input @click="isMember=true" type="radio" name="member_type" class="radio" checked />
      <span class="label-text pl-1">Anggota</span> 
      </label>
      <label class="label cursor-pointer">
      <input @click="isMember=false" type="radio" name="member_type" class="radio" />
      <span class="label-text pl-1">Simpatisan</span> 
      </label>
    </div>

   <form class="form-control p-2" v-if="isMember">
    <div class="p-2 order-none flex justify-center mt-1">
      <label for="avatar" class="avatar placeholder">
        <div class="bg-neutral-focus text-neutral-content rounded-full w-36">
          <span class="text-xs">Upload Gambar</span>
        </div>
        <input class="hidden" type="file" id="avatar" name="avatar">
      </label>
    </div> 
   
    <div class="flex flex-col md:flex-row md:flex-wrap justify-between">
      <div>
      <label class="label" for="NPA">
        <span class="label-text">NPA</span>
      </label>
      <input @keyup="findNpa" class="input input-sm input-bordered w-full max-w-sm" type="text" id="NPA" name="NPA">
      </div>

      <div>
      <label class="label" for="NIK">
        <span class="label-text">NIK</span>
      </label>
      <input disabled class="input input-sm input-bordered w-full max-w-sm" type="text" id="NIK" name="NIK">
      </div>

      <div>
      <label class="label" for="Name">
        <span class="label-text">Name</span>
      </label>
      <input disabled class="input input-sm input-bordered w-full max-w-sm" type="text" id="Name" name="Name">
      </div>
      
      <div>
      <label class="label" for="Email">
        <span class="label-text">Email</span>
      </label>
      <input disabled class="input input-sm input-bordered w-full max-w-sm" type="email" id="Email" name="Email">
      </div>
     
      <div class="w-full md:w-[180px]">
        <label for="Size" class="label">
          <span class="label-text">PC</span>
        </label>
          <multiselect 
            v-model="pc"
            label="name"
            track-by="name" 
            placeholder="Pilih Cabang"
            :options="pcs" 
            :searchable="true"
            :allow-empty="false"
            :internal-search="false"
            @search-change="searchPc"
            >
            <template slot="singleLabel" slot-scope="{ option }"><strong>{{ option.name }}</strong></template>
          </multiselect>
      </div>
      
      <div class="w-full md:w-[180px]">
        <label for="Size" class="label">
          <span class="label-text">Cabor</span>
        </label>
          <multiselect 
            v-model="cabor"
            label="name"
            track-by="name" 
            placeholder="Pilih Cabang"
            :options="cabors" 
            :searchable="false"
            :allow-empty="false"
            >
            <template slot="singleLabel" slot-scope="{ option }"><strong>{{ option }}</strong></template>
          </multiselect>
      </div>
     
      <div class="w-full md:w-[180px]">
        <label for="Size" class="label">
          <span class="label-text">Pilih Ukuran Baju</span>
        </label>
          <multiselect 
            v-model="size"
            label="name"
            track-by="name" 
            placeholder="Pilih Ukuran Baju"
            :options="sizes" 
            :searchable="false"
            :allow-empty="false"
            >
            <template slot="singleLabel" slot-scope="{ option }"><strong>{{ option.name }}</strong></template>
          </multiselect>
      </div>
      
     <div class="mt-3 w-full text-area bg-neutral-focus rounded p-2">
      <img src="/formatbaju.jpeg"/>            
     </div> 
  </div>
    <button class="mt-2 btn btn-primary">
      Submit
    </button>

  </form> 

  <form v-else action="" class="form-control p-2">
    <div class="p-2 order-none flex justify-center mt-1">
      <label for="avatar" class="avatar placeholder">
        <div class="bg-neutral-focus text-neutral-content rounded-full w-36">
          <span class="text-xs">Upload Gambar</span>
        </div>
        <input class="hidden" type="file" id="avatar" name="avatar">
      </label>
    </div> 
   
    <div class="flex flex-col md:flex-row md:flex-wrap justify-between">
      <div>
      <label class="label" for="NIK">
        <span class="label-text">NIK</span>
      </label>
      <input class="input input-sm input-bordered w-full max-w-sm" type="text" id="NIK" name="NIK">
      </div>

      <div>
      <label class="label" for="Name">
        <span class="label-text">Name</span>
      </label>
      <input class="input input-sm input-bordered w-full max-w-sm" type="text" id="Name" name="Name">
      </div>
      
      <div>
      <label class="label" for="Email">
        <span class="label-text">Email</span>
      </label>
      <input class="input input-sm input-bordered w-full max-w-sm" type="email" id="Email" name="Email">
      </div>
     
      <div class="w-full md:w-[180px]">
        <label for="Size" class="label">
          <span class="label-text">PC</span>
        </label>
          <multiselect 
            v-model="pc"
            label="name"
            track-by="name" 
            placeholder="Pilih Cabang"
            :options="pcs" 
            :searchable="true"
            :allow-empty="false"
            :internal-search="false"
            @search-change="searchPc"
            >
            <template slot="singleLabel" slot-scope="{ option }"><strong>{{ option.name }}</strong></template>
          </multiselect>
      </div>
    
      <div class="w-full md:w-[180px]">
        <label for="Size" class="label">
          <span class="label-text">Pilih Ukuran Baju</span>
        </label>
          <multiselect 
            v-model="size"
            label="name"
            track-by="name" 
            placeholder="Pilih Ukuran Baju"
            :options="sizes" 
            :searchable="false"
            :allow-empty="false"
            >
            <template slot="singleLabel" slot-scope="{ option }"><strong>{{ option.name }}</strong></template>
          </multiselect>
      </div>
      
   
      
     <div class="mt-3 w-full text-area bg-neutral-focus rounded p-2">
      <img src="/formatbaju.jpeg"/>            
     </div> 
    </div>

    <button class="mt-2 btn btn-primary">
      Submit
    </button>

    </form>
    </div>
  </div>
</template>

<script setup>
import Multiselect from 'vue-multiselect';
const pcData = useFetch('https://petadakwah-apidev.persis.or.id/api/pc')
const isMember = ref(true)
const size= ref({name: 'S'})
const sizes= ref([
        { name: 'S'},
        { name: 'M'},
        { name: 'L' },
        { name: 'XL'},
        { name: 'XXL'}
      ])
const pc= ref({})
const pcs= ref(pcData.error? []: pcData.data)
const cabor= ref()
const cabors= ref([
  "Futsal"
])

definePageMeta({
  layout: "auth"
})

const findNpa = (npa)=> {
  const data = npa.target.value.toString()
  if(data.length == 7 && data.match(/^([\d-]{2})+\.[\d-]{4}/g)){
    console.log(data)
  }
}

const searchPc = (query)=>{
  const {data,pending,error,refresh} = useFetch('https://petadakwah-apidev.persis.or.id/api/pc', {
    query:{
      keyword: query
    } 
  })
  if(error){
    return []
  }
  pcs = data
}
</script>
<style>
 @import "../node_modules/vue-multiselect/dist/vue-multiselect.css" 
</style>
